> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/compute/zec/instance/describezoneinstanceconfiginfos.md).

# DescribeZoneInstanceConfigInfos

## 1. API Description

This API (DescribeZoneInstanceConfigInfos) is used to query information on instance size in the zone.

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name | Required | Type   | Description                                                  |
| -------------- | -------- | ------ | ------------------------------------------------------------ |
| zoneId         | No       | String | Availability zone ID.                                        |
| instanceType   | No       | String | <p>Instance type to query.</p><p>For example: z2a.cpu.1.</p> |

## 3. Output Parameters

| Parameter Name       | Type                                                                                                | Description                                                                                                           |
| -------------------- | --------------------------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------- |
| requestId            | String                                                                                              | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |
| instanceTypeQuotaSet | Array of [InstanceTypeQuotaItem](/api-reference/compute/zec/datastructure.md#instancetypequotaitem) | Information on instance size in the zone.                                                                             |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**Query information on instance size of `z2a.cpu.4` in the zone**.

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribeZoneInstanceConfigInfos
<Common Request Params>

Request:
{
  "instanceType":"z2a.cpu.4"
}

Response:
{
    "requestId": "T10BE39E5-154F-4961-A343-3321834B3DA4",
    "response": {
        "requestId": "T10BE39E5-154F-4961-A343-3321834B3DA4",
        "instanceTypeQuotaSet": [
            {
                "zoneId": "europe-central-1a",
                "instanceType": "z2a.cpu.4",
                "cpuCount": 4,
                "memory": 8,
                "bps": 4000000000,
                "pps": 400000,
                "withStock": true,
                "internetMaxBandwidthOutLimit": 10000,
                "instanceTypeName": "z2a.cpu.4",
                "internetChargeTypes": [
                    "ByTrafficPackage",
                    "ByBandwidth",
                    "BandwidthCluster"
                ]
            },
            {
                "zoneId": "asia-southeast-1a",
                "instanceType": "z2a.cpu.4",
                "cpuCount": 4,
                "memory": 8,
                "bps": 4000000000,
                "pps": 400000,
                "withStock": true,
                "internetMaxBandwidthOutLimit": 10000,
                "instanceTypeName": "z2a.cpu.4",
                "internetChargeTypes": [
                    "ByTrafficPackage",
                    "ByBandwidth",
                    "BandwidthCluster"
                ]
            }
        ]
    }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code                              | Description                                                 |
| ---------------- | --------------------------------------- | ----------------------------------------------------------- |
| 400              | INVALID\_INSTANCE\_TYPE\_ZONE\_NO\_SELL | Instance type sold out or not for sale in the current zone. |
| 400              | INVALID\_ZONE\_NOT\_ON\_SALE            | Instance size is not for sale in the availability zone.     |
